(define-module (glicid packages linux)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module ((gnu packages linux) #:prefix gnu:)
)

(define-public rdma-core-newer-37.1
(package
    (inherit gnu:rdma-core)
    (name (string-append (package-name gnu:rdma-core) "-newer" ))
    (version "37.1")
    (source (origin
              (method url-fetch)
              (uri (string-append "https://github.com/linux-rdma/rdma-core"
                                  "/releases/download/v" version "/rdma-core-"
                                  version ".tar.gz"))
              (sha256
               (base32
                "1hjwagf5x48vgshy5s01qjlzjr8kmxpflfcvh8pgj3zbj82zzxiz"))))
 )
)

(define-public rdma-core-newer-38.0
 (package
    (inherit gnu:rdma-core)
    (name (string-append (package-name gnu:rdma-core) "-newer" ))
    (version "38.0")
    (source (origin
              (method url-fetch)
              (uri (string-append "https://github.com/linux-rdma/rdma-core"
                                  "/releases/download/v" version "/rdma-core-"
                                  version ".tar.gz"))
              (sha256
               (base32
                "043vybwx9kz4mbbmnj0jzkzsw02vzhkkjc5j3yjdiiqkmsgwr3cs"))))
 )
)


(define local-rdma-core rdma-core-newer-38.0)
(define-public rdma-core-latest local-rdma-core)



(define-public libfabric-newer-1.13.1
 (package
    (inherit gnu:libfabric)
    (version "1.13.1")
    (name (string-append (package-name gnu:libfabric) "-newer" ))

    (source
     (origin
       (method url-fetch)
       (uri
        (string-append "https://github.com/ofiwg/libfabric/releases/download/v"
                       version "/libfabric-" version ".tar.bz2"))
       (sha256
        (base32 "03nkhqjjyw3hwhxrn7rg30qc1gzc1r7p7lymyz5s96m3qhwfsvlf"))))

 )
)

(define-public libfabric-newer-1.14.0
 (package
    (inherit gnu:libfabric)
    (version "1.14.0")
    (name (string-append (package-name gnu:libfabric) "-newer" ))
    (source
     (origin
       (method url-fetch)
       (uri
        (string-append "https://github.com/ofiwg/libfabric/releases/download/v"
                       version "/libfabric-" version ".tar.bz2"))
       (sha256
        (base32 "16klkzkg04wb699mqpi8mn2r8sqzj35zalynbdazyg4ghj4169pw"))))

 )
)

(define local-libfabric libfabric-newer-1.14.0)
(define-public libfabric-latest local-libfabric)

;;; glicid/linux.scm ends here
